Bug 259103 - [MAINTAINER] devel/rubygem-baf: update to version 0.14.1
Summary: [MAINTAINER] devel/rubygem-baf: update to version 0.14.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Nuno Teixeira
URL: https://my.diffend.io/gems/baf/0.14.0...
Keywords:
Depends on:
Blocks:
 
Reported: 2021-10-12 13:28 UTC by Thibault Jouan
Modified: 2021-10-14 10:55 UTC (History)
2 users (show)

See Also:


Attachments
update to 0.14.1 (1.04 KB, patch)
2021-10-12 13:28 UTC, Thibault Jouan
tj+freebsd_ports: maintainer-approval+
Details | Diff
update to 0.14.1, fix PORTVERSION usage (1.28 KB, patch)
2021-10-13 13:26 UTC, Thibault Jouan
tj+freebsd_ports: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Thibault Jouan 2021-10-12 13:28:50 UTC
Created attachment 228625 [details]
update to 0.14.1

I'm the author of the gem and pushed a new version a while back, but 
forgot to submit the patch to update the FreeBSD port.                 
                                                                       
  I would like the port to be updated with this patch please.          
                                                                       
  Thanks!
Comment 1 Nuno Teixeira freebsd_committer 2021-10-13 09:34:05 UTC
Hello,

Please use DISTVERSION instead of PORTVERSION:
https://docs.freebsd.org/en/books/porters-handbook/makefiles/#makefile-naming
Comment 2 Thibault Jouan 2021-10-13 13:26:09 UTC
Created attachment 228664 [details]
update to 0.14.1, fix PORTVERSION usage

Hello,
 
  thank you for looking at the patch and your feedback.

  I uploaded a new one fixing the wrong usage of PORTVERSION, it now
uses DISTVERSION.
Comment 3 commit-hook freebsd_committer 2021-10-14 07:59:12 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=d40f5d8299b051b909a4ec626a476f72e770666e

commit d40f5d8299b051b909a4ec626a476f72e770666e
Author:     Thibault Jouan <tj+freebsd_ports@a13.fr>
AuthorDate: 2021-10-14 07:56:41 +0000
Commit:     Nuno Teixeira <eduardo@FreeBSD.org>
CommitDate: 2021-10-14 07:58:16 +0000

    devel/rubygem-baf: Update to 0.14.1

    ChangeLog: https://my.diffend.io/gems/baf/0.14.0/0.14.1

    PR:             259103

 devel/rubygem-baf/Makefile | 5 +++--
 devel/rubygem-baf/distinfo | 6 +++---
 2 files changed, 6 insertions(+), 5 deletions(-)
Comment 4 Nuno Teixeira freebsd_committer 2021-10-14 08:00:28 UTC
Committed with minor fix:
---
WARN: Makefile: [11]: USE_* seen before USES.  According to the porters-handbook, USES must appear first.
---

Thanks!
Comment 5 Thibault Jouan 2021-10-14 10:55:23 UTC
Thank you for the commit and last tip.

I was using poudriere testport only, will check portlint too now.